LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
DialogProvider Service Reference

Specifies a provider for dialogs implementing the com::sun::star::awt::XDialog interface. More...

`import"DialogProvider.idl";`

Inheritance diagram for DialogProvider:

## Public Member Functions
| createWithModel ([in] com::sun::star::frame::XModel Model)
| createWithModelAndScripting ([in] com::sun::star::frame::XModel Model, [in] com::sun::star::io::XInputStream InStream, [in] com::sun::star::container::XNameContainer DialogLib, [in] com::sun::star::script::XScriptListener ScriptListener)
Public Member Functions inherited from XDialogProvider
com::sun::star::awt::XDialog | createDialog ([in] string URL) raises ( com::sun::star::lang::IllegalArgumentException )
| creates a dialog for the given URL. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Specifies a provider for dialogs implementing the com::sun::star::awt::XDialog interface.

## Member Function Documentation

## ◆ createWithModel()

createWithModel | ( | [in] com::sun::star::frame::XModel | Model | ) |

## ◆ createWithModelAndScripting()

createWithModelAndScripting | ( | [in] com::sun::star::frame::XModel | Model,
|  | [in] com::sun::star::io::XInputStream | InStream,
|  | [in] com::sun::star::container::XNameContainer | DialogLib,
|  | [in] com::sun::star::script::XScriptListener | ScriptListener
| ) |  |

The documentation for this service was generated from the following file:

- com/sun/star/awt/DialogProvider.idl